#!/usr/bin/sh
# Please use this script to run the sample. Make sure that you properly set
# up the OSS_ASN1_JAVA, CLASSPATH and PATH environment variables before running
# this script.  You can set up JAVAC and JAVA environment variables to
# customize Java compiler/interpreter.

ACTION=${1:-"javac"}

case ${ACTION} in
    "cleanup")
	rm -f open.log
	rm -f *.class
	break;;
	
    "javac")
	CLASSPATH=`pwd`:$CLASSPATH; export CLASSPATH
	JAVAC=${JAVAC:-javac}
	JAVA=${JAVA:-java}
	echo "ASN.1-compiling the syntax..."
	echo ""
	asn1pjav open -err open.log
	if [ $? -eq 0 ]; then 
	    cd open
	    echo "Java-compiling generated classes..."
	    echo ""
	    sh open.sh 2>&1 >> ../open.log
	    cd ..
	    ${JAVAC} Topen.java 2>&1 >> open.log
	    if [ -f Topen.class ]; then
		echo "Running the test..."
		echo ""
		${JAVA} Topen;
	    fi
	fi
	rm -fr open
	break;;

    *)
	echo "Invalid argument \"$1\"."
	echo ""
	break;;
    
esac
